<?php
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/web/bind', 'Web\AuthController@bind');


Route::get('attachment/{md5}', [
    'as' => 'attachment.download',
    'uses' => 'Web\AttachmentController@download',
]);
Route::get('image/{md5}', [
    'as' => 'attachment.image',
    'uses' => 'Web\AttachmentController@image',
]);



// Route::get('/test',function() {

//     $password = bcrypt('admin');
//     dd($password);
//     dd(dict()->get('user_info','work_type'));
//     $password = bcrypt('admin');
//     dd($password);
//     $obj = new \App\Services\User\Info();
//     $obj = $obj->find(1);
//     var_dump($obj);exit;
// });

///dd(request()->input('route'));
//后台
if (strpos(request()->getRequestUri(), '/addons/') !== false) {
    //如未设置当前公众号则加到选择公众号列表
    session_start();
    if (empty($_SESSION['store_id']) || empty($_SESSION['wUser']) || empty($_SESSION['wAccount'])) {
        return redirect('../../../web/index.php?c=wxapp&a=display');
    }
    session()->put('store_id', $_SESSION['store_id']);
    session()->put('wUser', $_SESSION['wUser']);
    session()->put('wAccount', $_SESSION['wAccount']);
    // Furniture::parseRoute();
    //$route_url = $_SESSION['route'];
    $route_url = request()->input('route');
    $route_url = ucfirst($route_url);
    $route = $baseRoute = explode('/',$route_url);


    if (count($route) > 1) {
        unset($route[count($route) - 1]);
        $file = app_path() . '/Http/Controllers/' . implode("/", $route) . "Controller.php";
        if (file_exists($file)) {
            $controller = implode("\\", $route) . "Controller";
            $action = $controller . "@" . $baseRoute[count($route)];
            //dd($route[0]);
            Route::any('/', ['as' => $route[0],
                'uses' => $action]);
        }
    }

}